<section id="adminDashboard">

  <section id="sessionInfos">
    <h2>Informations de la session</h2>
    <div *ngFor="let sessionInfos of session, let i=index">
      <ul>
        <li><strong>Problématique : <span class="sessionInfosText">{{sessionInfos.session_objet}}</span></strong></li>
        <li><strong>Nom de session : <span class="sessionInfosText">{{sessionInfos.session_name}}</span></strong></li>
      </ul>
    </div>
  </section>

  <app-menu></app-menu>
  <!-- Message d'accueil -->
  <section id="instructions">
    <h1>Bienvenue sur votre dashboard facilitateur/trice!</h1>
    <p>Ici, vous pourrez gérer la session de brainstorming d'une main de fer !</p>
    <p>Plusieurs boutons sont à votre disposition pour déclencher à votre guise les 3 phases principales du <em class="crowdsourcingStyle">25/10 - crowdsourcing</em> , à savoir :</p>
    <ul>
      <li>Phase 1 : Proposition d'une idée répondant à la problématique.</li>
      <li>Phase 2 : Évaluation des idées (cette étape pourra être répétée autant de fois que vous le souhaiterez).</li>
      <li>Phase 3 : Affichage des résultats pour toute l'équipe.</li>
    </ul>
    <p><em>Aucune phase n'est limitée dans le temps. Ce sera à vous de lancer chaque phase.</em></p>
  </section>

  <!-- Zone des boutons pour déclencher les 3 phases de la session -->
  <section id="adminButtonsSection">

    <section>
      <h3>Phase 1</h3>
      <div>
        <p>
          <button id="phase1Launch" type="button" class="btn btn-light" (click)="startPhase1()" [disabled]="phase1Show">Lancer la phase 1</button>
        </p>
      <!--  <p>
          <button id="phase1End" type="button" class="btn btn-dark">Mettre fin à la phase 1</button>
        </p>-->
      </div>
    </section>

    <section>
      <h3>Phase 2</h3>
      <div>
        <p>
          <button id="phase2Launch" type="button" class="btn btn-light" (click)="startPhase2()" [disabled]="phase2Show">Lancer la phase 2</button>
        </p>
        <p>
          <label>Nombre de phase d'évaluation : </label><label id="nbEval">&nbsp;{{nbEval}}</label>
        </p>
       <!--  <p>
          <button id="phase2End" type="button" class="btn btn-dark">Mettre fin à la phase 2</button>
        </p>-->
      </div>
    </section>

    <section>
      <h3>Phase 3</h3>
      <div>
        <p>
          <button id="phase3Launch" type="button" class="btn btn-light" (click)="startPhase3()" [disabled]="phase3Show">Calculer les moyennes</button>
        </p>
       <!--  <p>
          <button id="phase3Link" type="button" (click)="showResults()" class="btn btn-dark">Rejoindre la page des résultats</button>
        </p>-->
      </div>
    </section>
  </section>

</section>
